def extend_workflow_with_ppa_actions(workflow):
	"""Extend shared hosting workflow with ppa-specific actions

	:type workflow parallels.core.workflow.base_workflow.BaseWorkflow
	:rtype None
	"""

	workflow.get_path('transfer-accounts').insert_action(
		'check-plesk-infrastructure', 
		workflow.get_shared_action_pointer('check-infrastructure'),
		after='set-windows-security-policy'
	)
